Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.PresentationType=function(){
};
Telerik.Web.UI.Calendar.PresentationType.prototype={Interactive:1,Preview:2};
Telerik.Web.UI.Calendar.PresentationType.registerEnum("Telerik.Web.UI.Calendar.PresentationType",false);
Telerik.Web.UI.Calendar.FirstDayOfWeek=function(){
};
Telerik.Web.UI.Calendar.FirstDayOfWeek.prototype={Monday:1,Tuesday:2,Wednesday:3,Thursday:4,Friday:5,Saturday:6,Sunday:7};
Telerik.Web.UI.Calendar.FirstDayOfWeek.registerEnum("Telerik.Web.UI.Calendar.FirstDayOfWeek",false);
Telerik.Web.UI.Calendar.Orientation=function(){
};
Telerik.Web.UI.Calendar.Orientation.prototype={RenderInRows:1,RenderInColumns:2};
Telerik.Web.UI.Calendar.Orientation.registerEnum("Telerik.Web.UI.Calendar.Orientation",false);
Telerik.Web.UI.Calendar.AutoPostBackControl=function(){
};
Telerik.Web.UI.Calendar.AutoPostBackControl.prototype={None:0,Both:1,TimeView:2,Calendar:3};
Telerik.Web.UI.Calendar.AutoPostBackControl.registerEnum("Telerik.Web.UI.Calendar.AutoPostBackControl",false);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.CalendarClickEventArgs=function(_1,_2){
Telerik.Web.UI.CalendarClickEventArgs.initializeBase(this);
this._domElement=_1;
this._index=_2;
};
Telerik.Web.UI.CalendarClickEventArgs.prototype={get_domElement:function(){
return this._domElement;
},get_index:function(){
return this._index;
}};
Telerik.Web.UI.CalendarClickEventArgs.registerClass("Telerik.Web.UI.CalendarClickEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDayRenderEventArgs=function(_3,_4,_5){
Telerik.Web.UI.CalendarDayRenderEventArgs.initializeBase(this);
this._cell=_3;
this._date=_4;
this._renderDay=_5;
};
Telerik.Web.UI.CalendarDayRenderEventArgs.prototype={get_cell:function(){
return this._cell;
},get_date:function(){
return this._date;
},get_renderDay:function(){
return this._renderDay;
}};
Telerik.Web.UI.CalendarDayRenderEventArgs.registerClass("Telerik.Web.UI.CalendarDayRenderEventArgs",Sys.EventArgs);
Telerik.Web.UI.CalendarDateClickEventArgs=function(_6,_7){
Telerik.Web.UI.CalendarDateClickEventArgs.initializeBase(this);
this._domEvent=_6;
this._renderDay=_7;
};
Telerik.Web.UI.CalendarDateClickEventArgs.prototype={get_domEvent:function(){
return this._domEvent;
},get_renderDay:function(){
return this._renderDay;
}};
Telerik.Web.UI.CalendarDateClickEventArgs.registerClass("Telerik.Web.UI.CalendarDateClickEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDateSelectingEventArgs=function(_8,_9){
Telerik.Web.UI.CalendarDateSelectingEventArgs.initializeBase(this);
this._isSelecting=_8;
this._renderDay=_9;
};
Telerik.Web.UI.CalendarDateSelectingEventArgs.prototype={get_isSelecting:function(){
return this._isSelecting;
},get_renderDay:function(){
return this._renderDay;
}};
Telerik.Web.UI.CalendarDateSelectingEventArgs.registerClass("Telerik.Web.UI.CalendarDateSelectingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDateSelectedEventArgs=function(_a){
Telerik.Web.UI.CalendarDateSelectedEventArgs.initializeBase(this);
this._renderDay=_a;
};
Telerik.Web.UI.CalendarDateSelectedEventArgs.prototype={get_renderDay:function(){
return this._renderDay;
}};
Telerik.Web.UI.CalendarDateSelectedEventArgs.registerClass("Telerik.Web.UI.CalendarDateSelectedEventArgs",Sys.EventArgs);
Telerik.Web.UI.CalendarViewChangingEventArgs=function(_b){
Telerik.Web.UI.CalendarViewChangingEventArgs.initializeBase(this);
this._step=_b;
};
Telerik.Web.UI.CalendarViewChangingEventArgs.prototype={get_step:function(){
return this._step;
}};
Telerik.Web.UI.CalendarViewChangingEventArgs.registerClass("Telerik.Web.UI.CalendarViewChangingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarViewChangedEventArgs=function(_c){
Telerik.Web.UI.CalendarViewChangedEventArgs.initializeBase(this);
this._step=_c;
};
Telerik.Web.UI.CalendarViewChangedEventArgs.prototype={get_step:function(){
return this._step;
}};
Telerik.Web.UI.CalendarViewChangedEventArgs.registerClass("Telerik.Web.UI.CalendarViewChangedEventArgs",Sys.EventArgs);
Telerik.Web.UI.DatePickerPopupOpeningEventArgs=function(_d,_e){
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.initializeBase(this);
this._popupControl=_d;
this._cancelCalendarSynchronization=_e;
};
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.prototype={get_popupControl:function(){
return this._popupControl;
},get_cancelCalendarSynchronization:function(){
return this._cancelCalendarSynchronization;
},set_cancelCalendarSynchronization:function(_f){
if(this._cancelCalendarSynchronization!==_f){
this._cancelCalendarSynchronization=_f;
}
}};
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.registerClass("Telerik.Web.UI.DatePickerPopupOpeningEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.DatePickerPopupClosingEventArgs=function(_10){
Telerik.Web.UI.DatePickerPopupClosingEventArgs.initializeBase(this);
this._popupControl=_10;
};
Telerik.Web.UI.DatePickerPopupClosingEventArgs.prototype={get_popupControl:function(){
return this._popupControl;
}};
Telerik.Web.UI.DatePickerPopupClosingEventArgs.registerClass("Telerik.Web.UI.DatePickerPopupClosingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.TimeViewSelectedEventArgs=function(_11,_12){
Telerik.Web.UI.TimeViewSelectedEventArgs.initializeBase(this);
this._newTime=_11;
this._oldTime=_12;
};
Telerik.Web.UI.TimeViewSelectedEventArgs.prototype={get_newTime:function(){
return this._newTime;
},get_oldTime:function(){
return this._oldTime;
}};
Telerik.Web.UI.TimeViewSelectedEventArgs.registerClass("Telerik.Web.UI.TimeViewSelectedEventArgs",Sys.EventArgs);
if(typeof (window["RadCalendarNamespace"])=="undefined"){
window["RadCalendarNamespace"]={};
}
Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.Popup=function(){
this.DomElement=null;
this.ExcludeFromHiding=[];
};
Telerik.Web.UI.Calendar.Popup.zIndex=5000;
Telerik.Web.UI.Calendar.Popup.cssClass="RadCalendarPopup";
Telerik.Web.UI.Calendar.Popup.secondaryCssClass="RadCalendarFastNavPopup";
Telerik.Web.UI.Calendar.Popup.prototype={CreateContainer:function(tag){
var div=document.createElement("DIV");
if(tag=="table"){
div.className=Telerik.Web.UI.Calendar.Popup.secondaryCssClass;
}else{
div.className=Telerik.Web.UI.Calendar.Popup.cssClass;
}
var _15=RadHelperUtils.GetStyleObj(div);
_15.position="absolute";
if(navigator.userAgent.match(/Safari/)){
_15.visibility="hidden";
_15.left="-1000px";
}else{
_15.display="none";
}
_15.border="0";
_15.zIndex=Telerik.Web.UI.Calendar.Popup.zIndex;
Telerik.Web.UI.Calendar.Popup.zIndex+=2;
div.onclick=function(e){
if(!e){
e=window.event;
}
e.returnValue=false;
e.cancelBubble=true;
if(e.stopPropagation){
e.stopPropagation();
}
return false;
};
document.body.insertBefore(div,document.body.firstChild);
return div;
},RemoveScriptsOnOpera:function(_17){
if(window.opera){
var _18=_17.getElementsByTagName("*");
for(var i=0;i<_18.length;i++){
var _1a=_18[i];
if(_1a.tagName!=null&&_1a.tagName.toLowerCase()=="script"){
_1a.parentNode.removeChild(_1a);
}
}
}
},Show:function(x,y,_1d,_1e){
if(this.IsVisible()){
this.Hide();
}
this.ExitFunc=("function"==typeof (_1e)?_1e:null);
var div=this.DomElement;
if(!div){
div=this.CreateContainer(_1d.tagName.toLowerCase());
this.DomElement=div;
}
if(_1d){
div.innerHTML="";
if(_1d.nextSibling){
this.Sibling=_1d.nextSibling;
}
this.Parent=_1d.parentNode;
this.RemoveScriptsOnOpera(_1d);
div.appendChild(_1d);
if(navigator.userAgent.match(/Safari/)&&_1d.style.visibility=="hidden"){
_1d.style.visibility="visible";
_1d.style.position="";
_1d.style.left="";
}else{
if(_1d.style.display=="none"){
_1d.style.display="";
}
}
}
var _20=RadHelperUtils.GetStyleObj(div);
_20.left=parseInt(x)+"px";
_20.top=parseInt(y)+"px";
if(navigator.userAgent.match(/Safari/)){
_20.visibility="visible";
}else{
_20.display="";
}
RadHelperUtils.ProcessIframe(div,true);
this.OnClickFunc=Telerik.Web.UI.Calendar.Utils.AttachMethod(this.OnClick,this);
this.OnKeyPressFunc=Telerik.Web.UI.Calendar.Utils.AttachMethod(this.OnKeyPress,this);
var _21=this;
window.setTimeout(function(){
RadHelperUtils.AttachEventListener(document,"click",_21.OnClickFunc);
RadHelperUtils.AttachEventListener(document,"keypress",_21.OnKeyPressFunc);
},300);
},Hide:function(_22){
var div=this.DomElement;
var _24=RadHelperUtils.GetStyleObj(div);
if(div){
if(navigator.userAgent.match(/Safari/)){
_24.visibility="hidden";
_24.position="absolute";
_24.left="-1000px";
}else{
_24.display="none";
}
_24=null;
if(div.childNodes.length!=0){
if(navigator.userAgent.match(/Safari/)){
div.childNodes[0].style.visibility="hidden";
div.childNodes[0].style.position="absolute";
div.childNodes[0].style.left="-1000px";
}else{
div.childNodes[0].style.display="none";
}
}
var _25=div.childNodes[0];
if(_25!=null){
div.removeChild(_25);
if(this.Parent!=null||this.Sibling!=null){
if(this.Sibling!=null){
var _26=this.Sibling.parentNode;
if(_26!=null){
_26.insertBefore(_25,this.Sibling);
}
}else{
this.Parent.appendChild(_25);
}
}
if(navigator.userAgent.match(/Safari/)){
RadHelperUtils.GetStyleObj(_25).visibility="hidden";
RadHelperUtils.GetStyleObj(_25).position="absolute";
RadHelperUtils.GetStyleObj(_25).left="-1000px";
}else{
RadHelperUtils.GetStyleObj(_25).display="none";
}
}
RadHelperUtils.ProcessIframe(div,false);
}
if(this.OnClickFunc!=null){
RadHelperUtils.DetachEventListener(document,"click",this.OnClickFunc);
this.OnClickFunc=null;
}
if(this.OnKeyPressFunc!=null){
RadHelperUtils.DetachEventListener(document,"keydown",this.OnKeyPressFunc);
this.OnKeyPressFunc=null;
}
if(_22&&this.ExitFunc){
this.ExitFunc();
}
},IsVisible:function(){
var div=this.DomElement;
var _28=RadHelperUtils.GetStyleObj(div);
if(div){
if(navigator.userAgent.match(/Safari/)){
return (_28.visibility!="hidden");
}
return (_28.display!="none");
}
return false;
},IsChildOf:function(_29,_2a){
while(_29.parentNode){
if(_29.parentNode==_2a){
return true;
}
_29=_29.parentNode;
}
return false;
},ShouldHide:function(e){
var _2c=e.target;
if(_2c==null){
_2c=e.srcElement;
}
for(var i=0;i<this.ExcludeFromHiding.length;i++){
if(this.ExcludeFromHiding[i]==_2c){
return false;
}
if(this.IsChildOf(_2c,this.ExcludeFromHiding[i])){
return false;
}
}
return true;
},OnKeyPress:function(e){
if(!e){
e=window.event;
}
if(e.keyCode==27){
this.Hide();
}
},OnClick:function(e){
if(!e){
e=window.event;
}
if(this.ShouldHide(e)){
this.Hide();
}
}};
Telerik.Web.UI.Calendar.Popup.registerClass("Telerik.Web.UI.Calendar.Popup");
Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.Utils={COLUMN_HEADER:1,VIEW_HEADER:2,ROW_HEADER:3,FIRST_DAY:0,FIRST_FOUR_DAY_WEEK:2,FIRST_FULL_WEEK:1,DEFAULT:7,FRIDAY:5,MONDAY:1,SATURDAY:6,SUNDAY:0,THURSDAY:4,TUESDAY:2,WEDNESDAY:3,RENDERINROWS:1,RENDERINCOLUMNS:2,NONE:4,RECURRING_DAYINMONTH:1,RECURRING_DAYANDMONTH:2,RECURRING_WEEK:4,RECURRING_WEEKANDMONTH:8,RECURRING_TODAY:16,RECURRING_WEEKDAYWEEKNUMBERANDMONTH:32,RECURRING_NONE:64,AttachMethod:function(_30,_31){
return function(){
return _30.apply(_31,arguments);
};
},GetDateFromId:function(id){
var arr=id.split("_");
if(arr.length<2){
return null;
}
var _34=[parseInt(arr[arr.length-3]),parseInt(arr[arr.length-2]),parseInt(arr[arr.length-1])];
return _34;
},GetRenderDay:function(_35,_36){
var _37=Telerik.Web.UI.Calendar.Utils.GetDateFromId(_36);
var _38=_35.RenderDays.Get(_37);
return _38;
},FindTarget:function(e,_3a){
var _3b;
if(e&&e.target){
_3b=e.target;
}else{
if(window.event&&window.event.srcElement){
_3b=window.event.srcElement;
}
}
if(!_3b){
return null;
}
if(_3b.tagName==null&&_3b.nodeType==3&&(navigator.userAgent.match(/Safari/))){
_3b=_3b.parentNode;
}
while(_3b!=null&&_3b.tagName.toLowerCase()!="body"){
if((_3b.tagName.toLowerCase()=="th"||_3b.tagName.toLowerCase()=="td")&&Telerik.Web.UI.Calendar.Utils.FindTableElement(_3b)!=null&&Telerik.Web.UI.Calendar.Utils.FindTableElement(_3b).id.indexOf(_3a)!=-1){
break;
}
_3b=_3b.parentNode;
}
if(_3b.tagName==null||(_3b.tagName.toLowerCase()!="td"&&_3b.tagName.toLowerCase()!="th")){
return null;
}
return _3b;
},FindTableElement:function(_3c){
while(_3c!=null&&_3c.tagName.toLowerCase()!="table"){
_3c=_3c.parentNode;
}
return _3c;
},GetElementPosition:function(el){
var _3e=null;
var pos={x:0,y:0};
var box;
if(el.getBoundingClientRect){
box=el.getBoundingClientRect();
var _41=document.documentElement.scrollTop||document.body.scrollTop;
var _42=document.documentElement.scrollLeft||document.body.scrollLeft;
pos.x=box.left+_42-2;
pos.y=box.top+_41-2;
return pos;
}else{
if(document.getBoxObjectFor){
box=document.getBoxObjectFor(el);
pos.x=box.x-2;
pos.y=box.y-2;
}else{
pos.x=el.offsetLeft;
pos.y=el.offsetTop;
_3e=el.offsetParent;
if(_3e!=el){
while(_3e){
pos.x+=_3e.offsetLeft;
pos.y+=_3e.offsetTop;
_3e=_3e.offsetParent;
}
}
}
}
if(window.opera){
_3e=el.offsetParent;
while(_3e&&_3e.tagName!="BODY"&&_3e.tagName!="HTML"){
pos.x-=_3e.scrollLeft;
pos.y-=_3e.scrollTop;
_3e=_3e.offsetParent;
}
}else{
_3e=el.parentNode;
while(_3e&&_3e.tagName!="BODY"&&_3e.tagName!="HTML"){
pos.x-=_3e.scrollLeft;
pos.y-=_3e.scrollTop;
_3e=_3e.parentNode;
}
}
return pos;
},MergeStyles:function(_43,_44){
if(_43.lastIndexOf(";",_43.length)!=_43.length-1){
_43+=";";
}
var _45=_44.split(";");
var _46=_43;
for(var i=0;i<_45.length-1;i++){
var _48=_45[i].split(":");
if(_43.indexOf(_48[0])==-1){
_46+=_45[i]+";";
}
}
return _46;
},MergeClassName:function(_49,_4a){
var p=_4a.split(" ");
if(p.length==1&&p[0]==""){
p=[];
}
var l=p.length;
for(var i=0;i<l;i++){
if(p[i]==_49){
return _4a;
}
}
p[p.length]=_49;
return p.join(" ");
}};
if(typeof (RadHelperUtils)=="undefined"){
var RadHelperUtils={IsDefined:function(_4e){
if((typeof (_4e)!="undefined")&&(_4e!=null)){
return true;
}
return false;
},StringStartsWith:function(_4f,_50){
if(typeof (_50)!="string"){
return false;
}
return (0==_4f.indexOf(_50));
},AttachEventListener:function(_51,_52,_53){
var _54=RadHelperUtils.CompatibleEventName(_52);
if(typeof (_51.addEventListener)!="undefined"){
_51.addEventListener(_54,_53,false);
}else{
if(_51.attachEvent){
_51.attachEvent(_54,_53);
}else{
_51["on"+_52]=_53;
}
}
},DetachEventListener:function(_55,_56,_57){
var _58=RadHelperUtils.CompatibleEventName(_56);
if(typeof (_55.removeEventListener)!="undefined"){
_55.removeEventListener(_58,_57,false);
}else{
if(_55.detachEvent){
_55.detachEvent(_58,_57);
}else{
_55["on"+_56]=null;
}
}
},CompatibleEventName:function(_59){
_59=_59.toLowerCase();
if(document.addEventListener){
if(RadHelperUtils.StringStartsWith(_59,"on")){
return _59.substr(2);
}else{
return _59;
}
}else{
if(document.attachEvent&&!RadHelperUtils.StringStartsWith(_59,"on")){
return "on"+_59;
}else{
return _59;
}
}
},MouseEventX:function(_5a){
if(_5a.pageX){
return _5a.pageX;
}else{
if(_5a.clientX){
if(RadBrowserUtils.StandardMode){
return (_5a.clientX+document.documentElement.scrollLeft);
}
return (_5a.clientX+document.body.scrollLeft);
}
}
},MouseEventY:function(_5b){
if(_5b.pageY){
return _5b.pageY;
}else{
if(_5b.clientY){
if(RadBrowserUtils.StandardMode){
return (_5b.clientY+document.documentElement.scrollTop);
}
return (_5b.clientY+document.body.scrollTop);
}
}
},IframePlaceholder:function(_5c,_5d){
var _5e=document.createElement("IFRAME");
_5e.src="javascript:false;";
if(RadHelperUtils.IsDefined(_5d)){
switch(_5d){
case 0:
_5e.src="javascript:void(0);";
break;
case 1:
_5e.src="about:blank";
break;
case 2:
_5e.src="blank.htm";
break;
}
}
_5e.frameBorder=0;
_5e.style.position="absolute";
_5e.style.display="none";
_5e.style.left="-500px";
_5e.style.top="-2000px";
_5e.style.height=RadHelperUtils.ElementHeight(_5c)+"px";
var _5f=0;
_5f=RadHelperUtils.ElementWidth(_5c);
_5e.style.width=_5f+"px";
_5e.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)";
_5e.allowTransparency=false;
return _5c.parentNode.insertBefore(_5e,_5c);
},ProcessIframe:function(_60,_61,_62,_63){
if(document.readyState=="complete"&&(RadBrowserUtils.IsIE55Win||RadBrowserUtils.IsIE6Win)){
if(!(RadHelperUtils.IsDefined(_60))){
return;
}
if(!RadHelperUtils.IsDefined(_60.iframeShim)){
_60.iframeShim=RadHelperUtils.IframePlaceholder(_60);
}
_60.iframeShim.style.top=(RadHelperUtils.IsDefined(_63))?(_63+"px"):_60.style.top;
_60.iframeShim.style.left=(RadHelperUtils.IsDefined(_62))?(_62+"px"):_60.style.left;
_60.iframeShim.style.zIndex=(_60.style.zIndex-1);
RadHelperUtils.ChangeDisplay(_60.iframeShim,_61);
}
},ChangeDisplay:function(_64,_65){
var obj=RadHelperUtils.GetStyleObj(_64);
if(_65!=null&&_65==true){
obj.display="";
}else{
if(_65!=null&&_65==false){
obj.display="none";
}
}
return obj.display;
},GetStyleObj:function(_67){
if(!RadHelperUtils.IsDefined(_67)){
return null;
}
if(_67.style){
return _67.style;
}else{
return _67;
}
},ElementWidth:function(_68){
if(!_68){
return 0;
}
if(RadHelperUtils.IsDefined(_68.style)){
if(RadBrowserUtils.StandardMode&&(RadBrowserUtils.IsIE55Win||RadBrowserUtils.IsIE6Win)){
if(RadHelperUtils.IsDefined(_68.offsetWidth)&&_68.offsetWidth!=0){
return _68.offsetWidth;
}
}
if(RadHelperUtils.IsDefined(_68.style.pixelWidth)&&_68.style.pixelWidth!=0){
var _69=_68.style.pixelWidth;
if(RadHelperUtils.IsDefined(_68.offsetWidth)&&_68.offsetWidth!=0){
_69=(_69<_68.offsetWidth)?_68.offsetWidth:_69;
}
return _69;
}
}
if(RadHelperUtils.IsDefined(_68.offsetWidth)){
return _68.offsetWidth;
}
return 0;
},ElementHeight:function(_6a){
if(!_6a){
return 0;
}
if(RadHelperUtils.IsDefined(_6a.style)){
if(RadHelperUtils.IsDefined(_6a.style.pixelHeight)&&_6a.style.pixelHeight!=0){
return _6a.style.pixelHeight;
}
}
if(_6a.offsetHeight){
return _6a.offsetHeight;
}
return 0;
}};
RadHelperUtils.GetElementByID=function(_6b,id){
var res=null;
for(var i=0;i<_6b.childNodes.length;i++){
if(!_6b.childNodes[i].id){
continue;
}
if(_6b.childNodes[i].id==id){
res=_6b.childNodes[i];
}
}
return res;
};
}
if(typeof (RadBrowserUtils)=="undefined"){
var RadBrowserUtils={Version:"1.0.0",IsInitialized:false,IsOsWindows:false,IsOsLinux:false,IsOsUnix:false,IsOsMac:false,IsUnknownOS:false,IsNetscape4:false,IsNetscape6:false,IsNetscape6Plus:false,IsNetscape7:false,IsNetscape8:false,IsMozilla:false,IsFirefox:false,IsSafari:false,IsIE:false,IsIEMac:false,IsIE5Mac:false,IsIE4Mac:false,IsIE5Win:false,IsIE55Win:false,IsIE6Win:false,IsIE4Win:false,IsOpera:false,IsOpera4:false,IsOpera5:false,IsOpera6:false,IsOpera7:false,IsOpera8:false,IsKonqueror:false,IsOmniWeb:false,IsCamino:false,IsUnknownBrowser:false,UpLevelDom:false,AllCollection:false,Layers:false,Focus:false,StandardMode:false,HasImagesArray:false,HasAnchorsArray:false,DocumentClear:false,AppendChild:false,InnerWidth:false,HasComputedStyle:false,HasCurrentStyle:false,HasFilters:false,HasStatus:false,Name:"",Codename:"",BrowserVersion:"",Platform:"",JavaEnabled:false,AgentString:"",Init:function(){
if(window.navigator){
this.AgentString=navigator.userAgent.toLowerCase();
this.Name=navigator.appName;
this.Codename=navigator.appCodeName;
this.BrowserVersion=navigator.appVersion.substring(0,4);
this.Platform=navigator.platform;
this.JavaEnabled=navigator.javaEnabled();
}
this.InitOs();
this.InitFeatures();
this.InitBrowser();
this.IsInitialized=true;
},CancelIe:function(){
this.IsIE=this.IsIE6Win=this.IsIE55Win=this.IsIE5Win=this.IsIE4Win=this.IsIEMac=this.IsIE5Mac=this.IsIE4Mac=false;
},CancelOpera:function(){
this.IsOpera4=this.IsOpera5=this.IsOpera6=this.IsOpera7=false;
},CancelMozilla:function(){
this.IsFirefox=this.IsMozilla=this.IsNetscape7=this.IsNetscape6Plus=this.IsNetscape6=this.IsNetscape4=false;
},InitOs:function(){
if((this.AgentString.indexOf("win")!=-1)){
this.IsOsWindows=true;
}else{
if((this.AgentString.indexOf("mac")!=-1)||(navigator.appVersion.indexOf("mac")!=-1)){
this.IsOsMac=true;
}else{
if((this.AgentString.indexOf("linux")!=-1)){
this.IsOsLinux=true;
}else{
if((this.AgentString.indexOf("x11")!=-1)){
this.IsOsUnix=true;
}else{
this.IsUnknownBrowser=true;
}
}
}
}
},InitFeatures:function(){
if((document.getElementById&&document.createElement)){
this.UpLevelDom=true;
}
if(document.all){
this.AllCollection=true;
}
if(document.layers){
this.Layers=true;
}
if(window.focus){
this.Focus=true;
}
if(document.compatMode&&document.compatMode=="CSS1Compat"){
this.StandardMode=true;
}
if(document.images){
this.HasImagesArray=true;
}
if(document.anchors){
this.HasAnchorsArray=true;
}
if(document.clear){
this.DocumentClear=true;
}
if(document.appendChild){
this.AppendChild=true;
}
if(window.innerWidth){
this.InnerWidth=true;
}
if(window.getComputedStyle){
this.HasComputedStyle=true;
}
if(document.documentElement&&document.documentElement.currentStyle){
this.HasCurrentStyle=true;
}else{
if(document.body&&document.body.currentStyle){
this.HasCurrentStyle=true;
}
}
try{
if(document.body&&document.body.filters){
this.HasFilters=true;
}
}
catch(e){
}
if(typeof (window.status)!="undefined"){
this.HasStatus=true;
}
},InitBrowser:function(){
if(this.AllCollection||(navigator.appName=="Microsoft Internet Explorer")){
this.IsIE=true;
if(this.IsOsWindows){
if(this.UpLevelDom){
if((navigator.appVersion.indexOf("MSIE 6")>0)||(document.getElementById&&document.compatMode)){
this.IsIE6Win=true;
}else{
if((navigator.appVersion.indexOf("MSIE 5.5")>0)&&document.getElementById&&!document.compatMode){
this.IsIE55Win=true;
this.IsIE6Win=true;
}else{
if(document.getElementById&&!document.compatMode&&typeof (window.opera)=="undefined"){
this.IsIE5Win=true;
}
}
}
}else{
this.IsIE4Win=true;
}
}else{
if(this.IsOsMac){
this.IsIEMac=true;
if(this.UpLevelDom){
this.IsIE5Mac=true;
}else{
this.IsIE4Mac=true;
}
}
}
}
if(this.AgentString.indexOf("opera")!=-1&&typeof (window.opera)=="undefined"){
this.IsOpera4=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&!typeof (window.print)=="undefined"){
this.IsOpera5=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&typeof (window.print)!="undefined"&&typeof (document.childNodes)=="undefined"){
this.IsOpera6=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&typeof (document.childNodes)!="undefined"){
this.IsOpera7=true;
this.IsOpera=true;
this.CancelIe();
}
}
}
}
if(this.IsOpera7&&(this.AgentString.indexOf("8.")!=-1)){
this.CancelIe();
this.CancelOpera();
this.IsOpera8=true;
this.IsOpera=true;
}
if(this.AgentString.indexOf("firefox/")!=-1){
this.CancelIe();
this.CancelOpera();
this.IsMozilla=true;
this.IsFirefox=true;
}else{
if(navigator.product=="Gecko"&&window.find){
this.CancelIe();
this.CancelOpera();
this.IsMozilla=true;
}
}
if(navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find){
this.CancelIe();
this.CancelOpera();
this.IsNetscape6Plus=true;
this.IsMozilla=true;
}
if(navigator.product=="Gecko"&&!window.find){
this.CancelIe();
this.CancelOpera();
this.IsNetscape6=true;
}
if((navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find)||(this.AgentString.indexOf("netscape/7")!=-1||this.AgentString.indexOf("netscape7")!=-1)){
this.CancelIe();
this.CancelOpera();
this.CancelMozilla();
this.IsMozilla=true;
this.IsNetscape7=true;
}
if((navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find)||(this.AgentString.indexOf("netscape/8")!=-1||this.AgentString.indexOf("netscape8")!=-1)){
this.CancelIe();
this.CancelOpera();
this.CancelMozilla();
this.IsMozilla=true;
this.IsNetscape8=true;
}
if(navigator.vendor&&navigator.vendor=="Camino"){
this.CancelIe();
this.CancelOpera();
this.IsCamino=true;
this.IsMozilla=true;
}
if(((navigator.vendor&&navigator.vendor=="KDE")||(document.childNodes)&&(!document.all)&&(!navigator.taintEnabled))){
this.CancelIe();
this.CancelOpera();
this.IsKonqueror=true;
}
if((document.childNodes)&&(!document.all)&&(!navigator.taintEnabled)&&(navigator.accentColorName)){
this.CancelIe();
this.CancelOpera();
this.IsOmniWeb=true;
}else{
if(document.layers&&navigator.mimeTypes["*"]){
this.CancelIe();
this.CancelOpera();
this.IsNetscape4=true;
}
}
if((document.childNodes)&&(!document.all)&&(!navigator.taintEnabled)&&(!navigator.accentColorName)){
this.CancelIe();
this.CancelOpera();
this.IsSafari=true;
}else{
IsUnknownBrowser=true;
}
},DebugBrowser:function(){
var _6f="IsNetscape4 "+this.IsNetscape4+"\n";
_6f+="IsNetscape6 "+this.IsNetscape6+"\n";
_6f+="IsNetscape6Plus "+this.IsNetscape6Plus+"\n";
_6f+="IsNetscape7 "+this.IsNetscape7+"\n";
_6f+="IsNetscape8 "+this.IsNetscape8+"\n";
_6f+="IsMozilla "+this.IsMozilla+"\n";
_6f+="IsFirefox "+this.IsFirefox+"\n";
_6f+="IsSafari "+this.IsSafari+"\n";
_6f+="IsIE "+this.IsIE+"\n";
_6f+="IsIEMac "+this.IsIEMac+"\n";
_6f+="IsIE5Mac "+this.IsIE5Mac+"\n";
_6f+="IsIE4Mac "+this.IsIE4Mac+"\n";
_6f+="IsIE5Win "+this.IsIE5Win+"\n";
_6f+="IsIE55Win "+this.IsIE55Win+"\n";
_6f+="IsIE6Win "+this.IsIE6Win+"\n";
_6f+="IsIE4Win "+this.IsIE4Win+"\n";
_6f+="IsOpera "+this.IsOpera+"\n";
_6f+="IsOpera4 "+this.IsOpera4+"\n";
_6f+="IsOpera5 "+this.IsOpera5+"\n";
_6f+="IsOpera6 "+this.IsOpera6+"\n";
_6f+="IsOpera7 "+this.IsOpera7+"\n";
_6f+="IsOpera8 "+this.IsOpera8+"\n";
_6f+="IsKonqueror "+this.IsKonqueror+"\n";
_6f+="IsOmniWeb "+this.IsOmniWeb+"\n";
_6f+="IsCamino "+this.IsCamino+"\n";
_6f+="IsUnknownBrowser "+this.IsUnknownBrowser+"\n";
alert(_6f);
},DebugOS:function(){
var _70="IsOsWindows "+this.IsOsWindows+"\n";
_70+="IsOsLinux "+this.IsOsLinux+"\n";
_70+="IsOsUnix "+this.IsOsUnix+"\n";
_70+="IsOsMac "+this.IsOsMac+"\n";
_70+="IsUnknownOS "+this.IsUnknownOS+"\n";
alert(_70);
},DebugFeatures:function(){
var _71="UpLevelDom "+this.UpLevelDom+"\n";
_71+="AllCollection "+this.AllCollection+"\n";
_71+="Layers "+this.Layers+"\n";
_71+="Focus "+this.Focus+"\n";
_71+="StandardMode "+this.StandardMode+"\n";
_71+="HasImagesArray "+this.HasImagesArray+"\n";
_71+="HasAnchorsArray "+this.HasAnchorsArray+"\n";
_71+="DocumentClear "+this.DocumentClear+"\n";
_71+="AppendChild "+this.AppendChild+"\n";
_71+="InnerWidth "+this.InnerWidth+"\n";
_71+="HasComputedStyle "+this.HasComputedStyle+"\n";
_71+="HasCurrentStyle "+this.HasCurrentStyle+"\n";
_71+="HasFilters "+this.HasFilters+"\n";
_71+="HasStatus "+this.HasStatus+"\n";
alert(_71);
}};
RadBrowserUtils.Init();
}

